﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using jQueryExtensions.Samples.Models;

namespace jQueryExtensions.Samples.Controllers
{
    public class StockController : Controller
    {
        public ActionResult Index()
        {
            return RedirectToAction("List");
        }

        public ActionResult List(string code)
        {
            return Json(new StockModel().FindByCode(code), JsonRequestBehavior.AllowGet);
        }
    }
}
